<ng-container
    *ngIf="{
        exerciseStepStatus: (exerciseStepStatus$ | async)
    } as local"
>
    <div 
        class="step-set-state"
        *ngIf="local.exerciseStepStatus"
    >
        <ui-header
            [title]="local.exerciseStepStatus.name  ??''"
            [hasBackButton]="true"
            (backButtonIsClicked)="navigateToExerciseSetState()"
        ></ui-header>
        <ng-container *ngIf="local.exerciseStepStatus.description">
            <h2>
                {{'exercise-create-steps.description' | translate}}
            </h2>        
            <span>{{local.exerciseStepStatus.description}}</span>            
        </ng-container>
        <h2 class="title-set-state">
            {{'exercise-set-state.title-set-state' | translate}}
        </h2>
        <ui-divider
            [selectable]="true"
            [centerInfoText]="ExerciseStepStatus.TODO"
            [clickable]="true"
            [status]="ExerciseStepStatus.TODO"
            [selected]="local.exerciseStepStatus.status === ExerciseStepStatus.TODO"
            (isClicked)="changeStatus(ExerciseStepStatus.TODO, local.exerciseStepStatus)"
        >
        </ui-divider>
        <ui-divider
            [selectable]="true"
            [centerInfoText]="ExerciseStepStatus.DOING"
            [clickable]="true"
            [status]="ExerciseStepStatus.DOING"
            [selected]="local.exerciseStepStatus.status === ExerciseStepStatus.DOING"
            (isClicked)="changeStatus(ExerciseStepStatus.DOING, local.exerciseStepStatus)"
        >
        </ui-divider>
        <ui-divider
            [selectable]="true"
            [centerInfoText]="ExerciseStepStatus.DONE"
            [clickable]="true"
            [status]="ExerciseStepStatus.DONE"
            [selected]="local.exerciseStepStatus.status === ExerciseStepStatus.DONE"
            (isClicked)="changeStatus(ExerciseStepStatus.DONE, local.exerciseStepStatus)"
        >
        </ui-divider>
        <ui-divider
            [selectable]="true"
            [centerInfoText]="ExerciseStepStatus.PROBLEM"
            [clickable]="true"
            [status]="ExerciseStepStatus.PROBLEM"
            [selected]="local.exerciseStepStatus.status === ExerciseStepStatus.PROBLEM"
            (isClicked)="changeStatus(ExerciseStepStatus.PROBLEM, local.exerciseStepStatus)"
        >
        </ui-divider>
    </div>

</ng-container>

<ui-loading-overlay
    *ngIf="loading$ | async"
></ui-loading-overlay>